Bug 23778 - Regression: Guarantor entry section no longer has a unique id
Summary: Regression: Guarantor entry section no longer has a unique id
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 14570
Blocks: 23905
  Show dependency treegraph
 
Reported: 2019-10-08 14:15 UTC by Owen Leonard
Modified: 2019-11-25 15:22 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23778: Regression: Guarantor entry section no longer has a unique id (1.41 KB, patch)
2019-10-08 14:22 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23778: Regression: Guarantor entry section no longer has a unique id (1.46 KB, patch)
2019-10-08 20:22 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-10-08 14:15:49 UTC
In memberentrygen.tt, where we had:

<fieldset id="memberentry_guarantor" class="rows">

we now have:

<fieldset class="rows">

Caused by Bug 14570.
Comment 1 Owen Leonard 2019-10-08 14:22:09 UTC
Created attachment 93871 [details] [review]
Bug 23778: Regression: Guarantor entry section no longer has a unique id

This patch adds back a fieldset ID which was accidentally removed by Bug
14570:

<fieldset id="memberentry_guarantor" class="rows">

This ID is important if libraries want to customize the patron entry
page to hide the guarantor section.

To test, apply the patch and go to Patrons -> New patron.

Inspect the markup and look at the fieldset labeled "Guarantor
information." It should have the correct ID attribute.
Comment 2 Katrin Fischer 2019-10-08 20:22:55 UTC
Created attachment 93902 [details] [review]
Bug 23778: Regression: Guarantor entry section no longer has a unique id

This patch adds back a fieldset ID which was accidentally removed by Bug
14570:

<fieldset id="memberentry_guarantor" class="rows">

This ID is important if libraries want to customize the patron entry
page to hide the guarantor section.

To test, apply the patch and go to Patrons -> New patron.

Inspect the markup and look at the fieldset labeled "Guarantor
information." It should have the correct ID attribute.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Martin Renvoize 2019-10-09 13:32:53 UTC
Nice work!

Pushed to master for 19.11.00